$(function() {
    var b = null,
    a = '<a href="javascript:void(0);" id="J-wg-gotop" class="G-wg-gotop">回顶部</a>';
    $("body").append(a);
    $(window).scroll(function() {
        window.clearTimeout(b);
        if (navigator.userAgent.indexOf("MSIE") > 0) {
            if ($(document).scrollTop() > $(window).height()) {
                $("#J-wg-gotop").hide();
                function c() {
                    var d = $(window).height() + $(document).scrollTop() - 120;
                    $("#J-wg-gotop").css({
                        top: d + "px"
                    }).fadeIn("fast")
                }
                b = setTimeout(c, 200)
            } else {
                $("#J-wg-gotop").hide()
            }
        } else {
            if ($(document).scrollTop() > $(window).height()) {
                $("#J-wg-gotop").css({
                    bottom: "50px",
                    visibility: "visible",
                    position: "fixed"
                }).fadeIn("slow")
            } else {
                $("#J-wg-gotop").fadeOut("slow")
            }
        }
    });
	
/*
	$(window).scroll(function() {
        window.clearTimeout(b);
        if (navigator.userAgent.indexOf("MSIE") > 0) {
            if ($(document).scrollTop() > 55) {
                function c() {
					$("#header").addClass("fixed");
                }
                b = setTimeout(c, 200)
            } else {
				$("#header").removeClass("fixed");
            }
        } else {
            if ($(document).scrollTop() > 55) {
				$("#header").addClass("fixed");
            } else {
				$("#header").removeClass("fixed");
            }
        }
    });
	
	*/
    $("#J-wg-gotop").click(function() {
        if (navigator.userAgent.indexOf("Safari") > 0) {
            $("body").animate({scrollTop: 0},420)
        } else {
            $("html").animate({scrollTop: 0},420)
        }
    })
});